# When bumping the Go version, don't forget to update the configuration of the
# CI jobs in openshift/release.
FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.1146017.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.1146017.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1146017 OS_GIT_VERSION=4.8.0-202110011559.p0.git.1146017.assembly.stream-1146017 SOURCE_DATE_EPOCH=1631767767 SOURCE_GIT_COMMIT=1146017627352b72e0f2399f9f7e3423f0327eb2 SOURCE_GIT_TAG=1146017 SOURCE_GIT_URL=https://github.com/openshift/cluster-baremetal-operator 
WORKDIR /go/src/github.com/openshift/cluster-baremetal-operator
COPY . .
RUN make cluster-baremetal-operator

FROM openshift/ose-base:v4.8.0.20211001.161120
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.1146017.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.1146017.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1146017 OS_GIT_VERSION=4.8.0-202110011559.p0.git.1146017.assembly.stream-1146017 SOURCE_DATE_EPOCH=1631767767 SOURCE_GIT_COMMIT=1146017627352b72e0f2399f9f7e3423f0327eb2 SOURCE_GIT_TAG=1146017 SOURCE_GIT_URL=https://github.com/openshift/cluster-baremetal-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-baremetal-operator/bin/cluster-baremetal-operator /usr/bin/cluster-baremetal-operator
COPY --from=builder /go/src/github.com/openshift/cluster-baremetal-operator/manifests /manifests
ENTRYPOINT ["/usr/bin/cluster-baremetal-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-baremetal-operator" \
        com.redhat.component="ose-cluster-baremetal-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Bare Metal Hardware Provisioning" \
        io.openshift.maintainer.subcomponent="cluster-baremetal-operator" \
        release="202110011559.p0.git.1146017.assembly.stream" \
        io.openshift.build.commit.id="1146017627352b72e0f2399f9f7e3423f0327eb2" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-baremetal-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-baremetal-operator/commit/1146017627352b72e0f2399f9f7e3423f0327eb2" \
        version="v4.8.0"

